<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&task=users.donew'); ?>" method="post" name="adminForm" id="download-form">
	<fieldset class="adminform">
		<div class="control-group">
			<div class="controls">			
				<div class="text-center">
					<div class="alert alert-info">
						<label id="jform_user-lbl">1. <?php echo JText::_('COM_TABLEBOOKING_STAFF_SELECT_JOOMLA_USER');?></label>	
					</div>
					
					<select name="new[user]" class="input-sm" id="users">
						<?php echo JHtml::_('select.options', $this->jusers , 'value', 'name' ) ;?>
					</select>
				</div>
			</div>	
		</div>

		<div class="control-group">
			<div class="controls">
				<p>&nbsp;</p>
			</div>
		</div>		

		<div class="control-group">
			<div class="controls">
				<div class="text-center">
					<div class="alert alert-success">
						<label title="" id="jform_state-lbl">2. <?php echo JText::_('COM_TABLEBOOKING_STAFF_SELECT_RESTAURANT_REPRESENTING');?></label>	
					</div>
					<select name="new[restaurant]" class="input-sm" id="state">
						<?php echo JHtml::_('select.options', $this->restaurants , 'id', 'title' ) ;?>
					</select>			
				</div>
			</div>
		</div>

		<div class="control-group">
			<div class="controls">
				<p>&nbsp;</p>
			</div>
		</div>	


		<div class="control-group">
			<div class="controls">
				<div class="text-center">
					<div class="alert alert-success">
						<label title="" id="jform_state-lbl">3. <?php echo JText::_('COM_TABLEBOOKING_STAFF_SELECT_RESTAURANT_POSITION');?></label>	
					</div>
					<select name="new[position]" class="input-sm" id="state">
						<option value="1"><?php echo JText::_('COM_TABLEBOOKING_STAFF_MEMBER');?></option>
						<option value="2"><?php echo JText::_('COM_TABLEBOOKING_STAFF_ADMINISTRATOR');?></option>
					</select>			
				</div>
			</div>
		</div>

		<div class="modal-footer">
			<button class="btn btn-primary" type="submit" onclick="document.adminForm.submit();window.top.setTimeout('window.parent.jModalClose()', 1000);">
				<?php echo JText::_('COM_TABLEBOOKING_ADD');?>
			</button>
		</div>
	</fieldset>

	<input type="hidden" name="component" value="com_tablebooking" />
	<input type="hidden" name="task" value="users.donew" />
	<?php echo JHtml::_('form.token'); ?>
</form>
