<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controllerform');

class TableBookingControllerSettings extends JControllerLegacy {

	public function save($key = NULL, $urlVar = NULL)
	{
		$data = JRequest::getVar('jform', array(), '', 'array');
		$this->getModel('Settings')->save( $data );
		$this->setRedirect( JRoute::_('index.php?option=com_tablebooking&view=settings', false), JText::_('COM_TABLEBOOKING_SETTINGS_SAVED'), 'message' );
		return true;
	}


	public function changeRestaurant()
	{
    	$app = JFactory::getApplication();

    	$new_id = $app->input->get('restaurant_selected', 0, 'int');
    	$current_view = $app->input->get('current_view', '', 'string');
  		if ($current_view) {
			$current_view = base64_decode($current_view);
  		}
  		$url = JRoute::_('index.php?option=com_tablebooking&view=' . $current_view);
  		$work = new stdclass;
  		$app->setUserState('com_tablebooking.restaurant.selected', $new_id);

  		$this->setRedirect($url);
  		return true;
	}

}
