<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.modeladmin');

class TableBookingModelSchedules extends JModelLegacy
{

	public function schedule_update( $data )
	{
		$query = $this->_db->getQuery(true);
		$query->update( $this->_db->quoteName('#__tbb_restaurants') );
		$query->set( $this->_db->quoteName('schedule') . ' = ' . $this->_db->quote($data) );
		$query->where( $this->_db->quoteName('id') . ' = ' . TbUser::getInstance()->work->restaurant->id );

		$this->_db->setQuery($query);
		$this->_db->query();
	}


	public function getSpecialDays()
	{
		$schedule = TbUser::getInstance()->work->restaurant->schedule;
		$schedules = (!empty($schedule)) ? unserialize($schedule) : array();
		$specials = array();

		foreach ($schedules as $key => $value) 
		{
			if(!is_int($key))
			{
				$specials[$key] = $value;
			}
		}
		return $specials;
	}




}
?>
