<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class TableBookingViewTable extends JViewLegacy
{
	protected $item;
	protected $form;
	protected $state;

	public function display($tpl = null)
	{
		
		if (!TbUser::getInstance()->isAuthorized('params')) 
		{
			JFactory::getApplication()->redirect('index.php?option=com_tablebooking');
			return false;
		}
		
		$this->state		= $this->get('State');
		$this->item			= $this->get('Item');
		$this->form			= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}


		JHtml::stylesheet( 'components/com_tablebooking/assets/css/bootstrap.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/css/style.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/medial/style.css' );

		parent::display($tpl);
	}
}
?>
