<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class TableBookingViewTables extends JViewLegacy
{

	protected $items;
	protected $pagination;
	protected $state;

	public function display($tpl = null) {
		
		if (!TbUser::getInstance()->isAuthorized('params')) 
		{
			JFactory::getApplication()->redirect('index.php?option=com_tablebooking');
			return false;
		}
		
		$this->items = $this->get('Items');
		$this->state = $this->get('State');
		$this->pagination = $this->get('Pagination');

		$this->addResources();
		parent::display($tpl);
	}

	public function addResources() {	
		
		$scheme = JUri::getInstance()->getScheme();

		JHtml::stylesheet( 'components/com_tablebooking/assets/css/bootstrap.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/css/style.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/medial/style.css' );
	}

}
?>
