<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>
<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=crons', false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>


		<div id="tb-controls">
		    <div class="col-md-4 pull-left">
			<h3><?php echo JText::_('COM_TABLEBOOKING_MENU_CRON_JOBS');?></h3>
		    </div>
		</div>
		

		<p class="alert alert-info"><?php echo sprintf(JText::_('COM_TABLEBOOKING_CRON_EXPLANATION'), JPATH_CONFIGURATION . '/components/com_tablebooking/helpers/tbcron.php');?></p>

		
		<div class="row tbb-action">
			<div class="col-md-9 pull-left">
				<button class="btn" onclick="document.adminForm.task.value='cron.add';document.adminForm.submit();"><i class="ico ico-add"></i> <?php echo JText::_('COM_TABLEBOOKING_NEW');?></button>
				<button class="btn" onclick="document.adminForm.task.value='crons.delete';document.adminForm.submit();return false;"><i class="ico ico-trash"></i> <?php echo JText::_('COM_TABLEBOOKING_DELETE');?></button>
			</div>
		</div>

		<table class="table table-hover tbb-content">
			<thead>
				<tr>
					<th></th>
					<th>#</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<?php if ($this->crons) { foreach ($this->crons as $cron) { ?>
					<tr>
						<td><input type="checkbox" name="cid[]" id="cb<?php echo (int) $cron->id; ?>" value="<?php echo (int) $cron->id; ?>" /></td>
						<td><a href="<?php echo JRoute::_('index.php?option=com_tablebooking&task=cron.edit&id=' . $cron->id, false);?>"><?php echo JText::_('COM_TABLEBOOKING_MENU_CRON_JOB') . ' ' . $cron->id;?></a></td>
						<td>
							<?php echo JText::_('COM_TABLEBOOKING_SEND_EMAILS') . ' ' . $cron->x_days . ' ' .  JText::_('COM_TABLEBOOKING_DAYS') ;?> 
							<?php echo $cron->moment_in_time == 0 ? JText::_('COM_TABLEBOOKING_BEFORE') : JText::_('COM_TABLEBOOKING_AFTER') ;?> 
							<?php echo JText::_('COM_TABLEBOOKING_TO_ALL_RESERVATIONS_WITH_STATUS') . ' ' . $this->statuses[$cron->reservation_status];?>
							
						</td>
					</tr>
				<?php } } ?>
			</tbody>
			
		</table>

		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
